> ## Documentation Index
> Fetch the complete documentation index at: https://developers.confiopagos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Attempts for a Payment



## OpenAPI

````yaml get /v1/stores/{store}/payments/{payment}/attempts
openapi: 3.1.0
info:
  version: 1.0.0
  title: Confío public api
servers:
  - description: Production
    url: https://api.confiopagos.com
  - description: Development
    url: https://api.dev.confiopagos.com
security:
  - bearerAuth: []
paths:
  /v1/stores/{store}/payments/{payment}/attempts:
    get:
      summary: List Payment Attempts for a Payment
      parameters:
        - schema:
            type: string
            description: The unique identifier of the payment.
            example: zrj3pok3ikbx
          required: true
          description: The unique identifier of the payment.
          name: payment
          in: path
        - schema:
            type: string
            description: The unique identifier of the store.
            example: waxhsjr47zsl
          required: true
          description: The unique identifier of the store.
          name: store
          in: path
        - schema:
            type: integer
            minimum: 1
            maximum: 1000
            description: >-
              The maximum number of Payment Attempts to return. Default is 50,
              max is 1000.
            example: 20
          required: false
          description: >-
            The maximum number of Payment Attempts to return. Default is 50, max
            is 1000.
          name: pageSize
          in: query
        - schema:
            type: string
            description: >-
              A page token received from a previous List Payment Attempts
              request.
          required: false
          description: A page token received from a previous List Payment Attempts request.
          name: pageToken
          in: query
      responses:
        '200':
          description: Successfully fetched Payment Attempts.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPaymentAttemptsResponse'
components:
  schemas:
    ListPaymentAttemptsResponse:
      type: object
      properties:
        paymentAttempts:
          type: array
          items:
            $ref: '#/components/schemas/PaymentAttempt'
          description: List of Payment Attempts
        nextPageToken:
          type: string
          description: Token for retrieving the next page of results
      required:
        - paymentAttempts
    PaymentAttempt:
      type: object
      properties:
        name:
          type: string
          description: Payment Attempt's resource name
          example: >-
            stores/01JNRRDZDPH40DB2YRW329BFXM/payments/01JNRVWWHH68E76V3TMFFT6GHJ/attempts/01JNS0C8FS2EXAMPLE
        status:
          type: string
          enum:
            - PENDING
            - SUCCEEDED
            - FAILED
          description: Payment Attempt status
          example: SUCCEEDED
        method:
          type: string
          enum:
            - PSE
            - CARD
            - CONFIO
            - BANCOLOMBIA
            - NEQUI
            - DROPI
          description: Payment Method used for this Payment Attempt
          example: PSE
        createTime:
          type: string
          description: Creation timestamp
          example: '2024-01-15T10:30:00Z'
        updateTime:
          type: string
          description: Last update timestamp
          example: '2024-01-15T10:31:00Z'
        expireTime:
          type: string
          description: Expiration timestamp
          example: '2024-01-15T11:00:00Z'
      required:
        - name
        - status
        - method
        - createTime
        - updateTime
        - expireTime
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````